Socket error #10060

Moderators: jojobear99, Rdsok

Post Reply
User avatar
Bateman
PopTray Family
Posts: 664
Joined: Sun Nov 11, 2001 9:53 pm
Location: Germany

Socket error #10060

Post by Bateman » Sun Jun 02, 2013 5:29 pm

I get a socket error #10060 each time I try to connect to an IMAP mailaccount, POP accounts work fine. The problem occurs for me since versions 4.1 and onwards. I did everything imagineable including totally clean re-installs of everything (with and without OpenSSL) and also fiddled with all possible configuration variations in the account tab - but to no avail. Firewall settings are fine as well, the problem persists even with the firewall switched off.
Rolling back to v4.0.10 with the "external" plugin system and all works fine.

One of the mailaccounts in question is from GMail, and since this might be widely used maybe somebody has an idea what the problem could be.

User avatar
Rdsok
PopTray Family
Posts: 1352
Joined: Fri Mar 19, 2004 11:36 pm
Location: Norman, Oklahoma USA
Contact:

Post by Rdsok » Sun Jun 02, 2013 9:12 pm

Bateman... I'm posting simply to acknowledge your post and not to provide a possible solution... I suspect jojobear will need to update the plugin to work with the newer versions... so this is more info for others that aren't aware of the issues seen with IMAP as you already are likely aware of...


IMAP does not have a set standards like POP or POP SSL standards have. Because of this, connecting to a Hotmail/MSN/Outlook IMAP account or say a GMail account ( as well as all the other variations seen out there ) will differ considerably. Every time that Hotmail or Gmail ( or others ) make a change in the way they work ( and they do this often ).. makes any previous programming done for them obsolete and then need updating in order to take into account whatever changes were made.

For the above reasons... we usually recommend using another third party application such as FREEPOP's for these types of accounts. These types of third party apps then can focus on updating for those types of changes and you just setup Poptray or PoptrayU to connect to FREEPOP's ( or similar ) once. In either case, you'd still need to update but each program ( PoptrayU or Freepop's ) can then focus on the area's that they are intended more directly for.

Alternately, as Batesman mentioned, Gmail accounts can also be setup to use POP SSL access which is a more reliable method to access than IMAP simply because it is a set standard. Hotmail/Outlook.com accounts have since lost this ability AFAIK. Yahoo accounts, I believe, can still use a POP SSL account as well unless that has changed recently.

The current IMAP plugin has not been updated since 2004 and while that is/was a good update, there were still issues seen with it. The author of that plugin hasn't posted in a long time and I'm uncertain if they still have any interest in keeping it up to date.

I'm uncertain if jojobear has plans to create an updated IMAP plugin or not to address the issues mentioned on the newer versions. I'll let her say one way or the other on that matter.

User avatar
jojobear99
PopTrayU Developer
Posts: 56
Joined: Thu May 17, 2007 9:10 pm

Post by jojobear99 » Thu Jul 11, 2013 6:44 pm

Bateman, PopTrayU 5.0 beta 5 has been released to fix socket error connecting to Gmail with IMAP. IMAP does still have a few other kinks I am still working out, so continue to watch for new releases to fix remaining issues with IMAP.
---
Jessica Brown
Developer of PopTrayU

User avatar
Bateman
PopTray Family
Posts: 664
Joined: Sun Nov 11, 2001 9:53 pm
Location: Germany

Post by Bateman » Tue Oct 29, 2013 10:48 am

Sorry for the late reply but after upgrading to version5 beta8 and losing some hair due to a few irreproducible errors, all of my IMAP accounts now seem to run smoothly.

Thank you :)

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest